# Extension Module - Ft.Xml.XPath.MathFunctions

    4XPath-specific math extension functions

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

## Namespaces

The namespace for extensions defined in this document are:

Prefix | Namespace
--- | ---
`f` | `http://xmlns.4suite.org/ext`

The prefix is given for this document only. Any other prefix can be used within a particular stylesheet.

## Functions

Function | Syntax
--- | ---
f:cos | unknown f:cos(x)
f:degrees-to-rads | unknown f:degrees-to-rads(x)
f:fact | unknown f:fact(x)
f:sin | unknown f:sin(x)

## Functions

### Function - f:cos

#### Function Syntax

unknown f:cos(x)

math.cos

### Function - f:degrees-to-rads

#### Function Syntax

unknown f:degrees-to-rads(x)

Convert degrees to radians

### Function - f:fact

#### Function Syntax

unknown f:fact(x)

Factorial

### Function - f:sin

#### Function Syntax

unknown f:sin(x)

math.sin